package com.palmnest.dao.airconditioner;

import java.util.List;
import java.util.Map;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.airconditioner.AirConditionerAddTime;

public interface ConditionerAddTimeDao extends GenericDao<AirConditionerAddTime, Long> {


	public Page findPageBy(Map<String, Object> params, int pageSize, int pageNo);


	public Page reportFindPageBy(Map<String, Object> params, int pageSize, int pageNo);

	/**
	 * 空调加时报表
	 *
	 * @param params
	 * @return
	 */
	public List<Map<String, Object>> reportFind(Map<String, Object> params);

	public Page reportDetailFindPageBy(Map<String, Object> params, int pageSize, int pageNo);

	/**
	 * 查找加时单 申请时间大于当前时间
	 * 条件:待使用状态
	 */
	public List<Map<String, Object>> findMeeting();
	/**
	 * 加时单 申请时间大于当前时间  把状态改为已完成
	 *
	 */
	public void airAddTimeDoTimerTask(String id);

	public List<Map<String, Object>> airConditioningOrder(Map<String, Object> params);

	public void updateAirConditioningOrder(Map<String, Object> params);

	/**
	 * #加时审批过时间
	 * #当前时间>空调申请开始时间
	 * #且状态为21 22 23状态
	 * #将状态 改为:35(无效
	 * #且
	 * #cancelReason='管理员审批超时'
	 * #cancelUser='系统自动'
	 * #cancelTime=NOW()
	 */
	public void airAddTimeAuditOverTimeTask();
	
	public List<Map<String, Object>> getAirAddTimeBusinessData(Map<String, Object> params);
	
	public List<Map<String, Object>> getGoodsReleaseBusinessData(Map<String, Object> params);

	public List<Map<String, Object>> getNoticeBusinessData(Map<String, Object> params);

	public List<Map<String, Object>> getRepairBusinessData(Map<String, Object> params);

	public List<Map<String, Object>> getVisitorBusinessData(Map<String, Object> params);
}
